<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        nutna_registrace();
        echo hlavicka("$forum_jmeno | Profil uživatele");
        echo logo();
        echo menu();
        echo "\t<div id=\"navigace\">Profil uživatele</div>\n\t<div id=\"profil\">\n";

        $uzivatel = 1 * $_GET[uzivatel];
        $row = mysql_fetch_array(dotaz("SELECT * FROM forum_uzivatele WHERE id = '$uzivatel';"));
        if(mysql_affected_rows() == 0) {
                echo "Uživatel s id <b>".$uzivatel."</b> nebyl nalezen!";
        } else {
                function profil_vypis($co, $titulek) {
                        if(!empty($co)) { return "\t\t<span>".$titulek.":</span><b>".$co."</b><br />\n"; } else { return FALSE; }
                }
                $vypis .= profil_vypis($row[jmeno],"Jméno uživatele");
                if(!empty($row[email])) {
                        $delka = strlen($row[email]);
                        for($i = 0; $i < $delka; $i++) {
                                $pismeno = substr($row[email], $i, 1);
                                $pismeno = ord($pismeno);
                                $email .= "&#0".$pismeno.";";
                        }
                        $email = "<a href=\"mailto:$email\" title=\"$email\">$email</a>";
                        $vypis .= "\t\t<span>Email:</span><b>".$email."</b><br />\n";
                }

                if($row[www]) { $vypis .= "\t\t<span>WWW stránky:</span><b><a href=\"http://".$row[www]."\" title=\"".$row[www]."\">".$row[www]."</a></b><br />\n"; }
                
                $vypis .= profil_vypis($row[userType],"userType");
                $vypis .= profil_vypis($row[icq],"ICQ");
                $vypis .= profil_vypis($row[jabber],"Jabber");
                $vypis .= profil_vypis($row[skype],"Skype");
                $vypis .= profil_vypis($row[msn],"MSN");
                $vypis .= "\t\t<span>Zaslaných příspěvků:</span><b>".$row[prispevku]."</b><br />\n";
                $vypis .= "\t\t<span>Založených témat:</span><b>".$row[temat]."</b><br />\n";
                $vypis .= profil_vypis($row[zalozen],"Účet založen");

                echo $vypis;
                
        }
        echo "\t</div>\n".$paticka; 
?>